Bug 71708 - [MAKEDEV] [PATCH] MAKEDEV create n+1 bpf devices
Summary: [MAKEDEV] [PATCH] MAKEDEV create n+1 bpf devices
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 4.10-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-09-13 19:50 UTC by leres
Modified: 2006-01-08 14:46 UTC (History)
0 users

See Also:


Attachments
file.diff (2.17 KB, patch)
2004-09-13 19:50 UTC, leres
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description leres 2004-09-13 19:50:26 UTC
	MAKEDEV creates one more bpf device than requested.

	In addition, "all" creates bpf0 4 times, bpf1 3 times and
	bpf2 twice.

	"tun" and "tap" have similar problems.

Fix: See the appended context diff.

	(Note that now "./MAKEDEV bpf0" creates no devices.)

==============================================================================
How-To-Repeat: 	mkdir /tmp/dev
	cd /tmp/dev
	/dev/MAKEDEV bpf2
	ls
	(note three bpf's: bpf0, bpf1 and bpf2)
Comment 1 Mark Linimon freebsd_committer 2004-09-16 04:49:32 UTC
Responsible Changed
From-To: freebsd-i386->freebsd-bugs

This is not i386-specific.
Comment 2 Mark Linimon freebsd_committer 2005-10-24 03:03:31 UTC
State Changed
From-To: open->suspended

MAKEDEV now only exists on 4.X.  It is unlikely that anyone will be 
maintaining it further; however, leave this as 'suspended' in case there 
is some interest.
Comment 3 Alexander Leidinger freebsd_committer 2006-01-08 14:41:52 UTC
State Changed
From-To: suspended->closed

All supported -stable and development branches use devfs now. So close 
this PR since it doesn't apply anymore and interested parties can have 
a look at closed PR's too. Closing this PR results in less PR's to look 
at when a committer is in a "lets fix a PR"-mood. 

Additionally, this isn't a problem. It may be an annoyance, but it 
doesn't justifies a PR someone has to look at periodically.